Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.source.tree
Interface Scope

    public interface Scope

Interface for determining locally available program elements, such as local variables and imports. Upon creation, a Scope is associated with a given program position; for example, a tree node. This position may be used to infer an enclosing method and/or class.

A Scope does not itself contain the details of the elements corresponding to the parameters, methods and fields of the methods and classes containing its position. However, these elements can be determined from the enclosing elements.

Scopes may be contained in an enclosing scope. The outermost scope contains those elements available via "star import" declarations; the scope within that contains the top level elements of the compilation unit, including any named imports.

Since:
  1.6

Method Summary
`TypeElement` | `getEnclosingClass()` Returns the innermost type element containing the position of this scope
`ExecutableElement` | `getEnclosingMethod()` Returns the innermost executable element containing the position of this scope.
`Scope` | `getEnclosingScope()` Returns the enclosing scope.
`Iterable<? extends Element>` | `getLocalElements()` Returns the elements directly contained in this scope.

Method Detail

### getEnclosingScope

    Scope getEnclosingScope()

  Returns the enclosing scope.

### getEnclosingClass

    TypeElement getEnclosingClass()

  Returns the innermost type element containing the position of this scope

### getEnclosingMethod

    ExecutableElement getEnclosingMethod()

  Returns the innermost executable element containing the position of this scope.

### getLocalElements

    Iterable<? extends Element> getLocalElements()

  Returns the elements directly contained in this scope.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.